MolSurf.h File Reference

Use MolDescriptors.h in client code. More...

`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::Descriptors

## Functions

double | RDKit::Descriptors::getLabuteAtomContribs (const ROMol &mol, std::vector< double > &Vi, double &hContrib, bool includeHs=true, bool force=false)
| calculates atomic contributions to Labute's Approximate Surface Area More...
double | RDKit::Descriptors::calcLabuteASA (const ROMol &mol, bool includeHs=true, bool force=false)
| calculates Labute's Approximate Surface Area (ASA from MOE) More...
double | RDKit::Descriptors::getTPSAAtomContribs (const ROMol &mol, std::vector< double > &Vi, bool force=false)
| calculates atomic contributions to the TPSA value More...
double | RDKit::Descriptors::calcTPSA (const ROMol &mol, bool force=false)
| calculates the TPSA value for a molecule More...
std::vector< double > | RDKit::Descriptors::calcSlogP_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
std::vector< double > | RDKit::Descriptors::calcSMR_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
std::vector< double > | RDKit::Descriptors::calcPEOE_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)

## Variables

const std::string | RDKit::Descriptors::labuteASAVersion = "1.0.2"
const std::string | RDKit::Descriptors::tpsaVersion = "1.1.0"

## Detailed Description

Use MolDescriptors.h in client code.

Definition in file MolSurf.h.